Bug 244720 - multimedia/py-kaa-imlib2: Fix to work with graphics/imlib2-1.6.1
Summary: multimedia/py-kaa-imlib2: Fix to work with graphics/imlib2-1.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-10 14:53 UTC by J.R. Oldroyd
Modified: 2020-03-14 14:43 UTC (History)
2 users (show)

See Also:
fbsd: maintainer-feedback+
tcberner: merge-quarterly-


Attachments
patch to include <sys/types.h> now needed due to additions to Imlib2.h in graphics/imlib2 (1.01 KB, patch)
2020-03-10 14:53 UTC, J.R. Oldroyd
fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2020-03-10 14:53:56 UTC
Created attachment 212307 [details]
patch to include <sys/types.h> now needed due to additions to Imlib2.h in graphics/imlib2
Comment 1 Automation User 2020-03-10 15:15:11 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124940750
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-11 02:07:01 UTC
Comment on attachment 212307 [details]
patch to include <sys/types.h> now needed due to additions to Imlib2.h in graphics/imlib2

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 J.R. Oldroyd 2020-03-11 07:05:28 UTC
You know, when a maintainer uploads a patch, it should be considered automatically maintainer-approved.  Requiring the maintainer to come back to specifically set a flag to that effect is frustrating beyond belief!

Why don't you modify your software to automatically set the flag when a maintainer uploads the patch?
Comment 4 Tobias C. Berner freebsd_committer 2020-03-14 14:42:39 UTC
Committed. Thanks.

No need to mfh.
Comment 5 commit-hook freebsd_committer 2020-03-14 14:43:23 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar 14 14:42:22 UTC 2020
New revision: 528412
URL: https://svnweb.freebsd.org/changeset/ports/528412

Log:
  multimedia/py-kaa-imlib2: Fix to work with graphics/imlib2-1.6.1

  PR:		244720
  Submitted by:	J.R. Oldroyd <fbsd@opal.com> (maintainer)

Changes:
  head/multimedia/py-kaa-imlib2/Makefile
  head/multimedia/py-kaa-imlib2/files/
  head/multimedia/py-kaa-imlib2/files/patch-src_rawformats.c